;;; cl-scopes/scratch - interactive testing

(asdf:load-system :scopes)

(in-package :cl-user)
(ext:add-package-local-nickname :scf :scopes/forge)
(ext:add-package-local-nickname :sctf :scopes/test-forge)

(scopes/test-forge:run)


;;; real scratch area

(defun classes ()
  (let ((r nil)) 
	(maphash #'(lambda (k v) 
      (setf r (cons k r))) si:*class-name-hash-table*) 
	(sort r #'(lambda (x y) 
      (string<= (package-name (symbol-package x)) 
				(package-name (symbol-package y)))))))
